# SectionMonitorBuilderType

    public protocol SectionMonitorBuilderType

Utility protocol for `SectionMonitorChainBuilder`. Used in methods that support chained fetch builders.

- `ObjectType`

  The `DynamicObject` type for the `ListMonitor`

  #### Declaration

  Swift

      associatedtype ObjectType : DynamicObject

- `from`

  The `From` clause specifies the source entity and source persistent store for the `ListMonitor`

  #### Declaration

  Swift

      var from: From<ObjectType> { get set }

- `sectionBy`

  The `SectionBy` clause to be used for the `ListMonitor`

  #### Declaration

  Swift

      var sectionBy: SectionBy<ObjectType> { get set }

- `fetchClauses`

  The `FetchClause`s to be used for the `ListMonitor`

  #### Declaration

  Swift

      var fetchClauses: [FetchClause] { get set }